*{
	padding: 0;
	margin: 0;
	font-family: sans-serif;
}
:root{
	--negro: #000000;
	--crema: #eeeeee;
	--cenizo: #cccccc;
	--gris: #989898;
	--intermedio: #656565;
	--opaco: #353535;
	--casi_negro: #151515;
	--blanco: #ffffff;
	--rojo: #ff4545ff;
	--verde: #45bc45ff;
	--azul: #4545bcff;
}

body{
	background-color: var(--negro);
	color: var(--cenizo);
}

.contenedor_uno, .contenedor_dos{
	width: 100%;
	display: flex;
	justify-content: center;
}
.contenedor_principal{
	background-color: var(--opaco);
	width: 75%;
	padding: 15px 25px 30px 25px;
	margin: 20px 0px;
	max-width: 400px;
	border-radius: 15px;
}
.contenedor_logo{
	display: flex;
	justify-content: right;
	align-items: center;
	padding-bottom: 15px;
}
.logo{
	width: 40px;
	height: 40px;
	user-select: none;
}
.texto_logo{
	font-size: 1.5rem;
	margin-left: 5px;
	user-select: none;
}
.titulo{
	margin-bottom: 20px;
}
.entrada{
	width: calc(100% - 20px);
	background-color: var(--opaco);
	padding: 10px;
	border: 2px solid var(--gris);
	border-radius: 10px;
	font-size: 1rem;
	margin-top: 5px;
	margin-bottom: 15px;
	outline: none;
	color: var(--crema);
}
.entrada::placeholder{
	color: var(--gris);
}
.contenedor_correo{
	margin-top: 5px;
	margin-bottom: 15px;
	position: relative;
	border-radius: 10px;
	overflow: hidden;
	border: 2px solid var(--gris)
}
.correo_seleccionado{
	width: 100%;
	height: 100%;
	user-select: none;
	cursor: pointer;
	position: absolute;
	z-index: 100;
	background-color: var(--opaco);
	justify-content: center;
	align-items: center;
	border-radius: 10px;
	display: none;
}
.texto_advertencia{
	background-color: var(--rojo);
	padding: 10px;
	display: none;
	margin-bottom: 15px;
	font-size: .95rem;
}
.contenedor_boton{
	display: flex;
	justify-content: right;
	padding-bottom: 15px;
}
.boton{
	padding: 10px 15px;
	border: none;
	cursor: pointer;
	background-color: var(--intermedio);
	color: var(--cenizo);
	font-size: 1rem;
	border-radius: 10px;
}
.boton:hover{
	background-color: var(--gris);
}

.contenedor_dos{
	display: none;
}

.contenedor_aviso{
	display: none;
	width: 100%;
	height: 100vh;
	top: 0;
	left: 0;
	background-color: rgba(0, 0, 0, .8);
	position: fixed;
	justify-content: center;
	align-items: center;
}
.aviso{
	width: 80%;
	max-width: 350px;
	padding: 15px;
	background-color: var(--opaco);
	border-radius: 10px;
	display: flex;
	justify-content: center;
	flex-direction: column;
	align-items: center;
}
.texto_aviso_uno{
	padding: 15px 0px;
}

.contenedor_cargando{
	width: 100%;
	height: 100vh;
	left: 0;
	top: 0;
	position: fixed;
	z-index: 100;
	background-color: var(--negro);
	display: none;
}
.contenedor_caja{
	height: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}
.caja{
	display: flex;
	align-items: center;
	margin-top: -60px;
}
.loader {
    width: 20px;
    height: 20px;
    border: 2px solid var(--cenizo);
    border-top: 2px solid var(--intermedio);
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin-top: 5px;
}
@keyframes spin {
  	0% { transform: rotate(0deg); }
  	100% { transform: rotate(360deg); }
}